<?php
/**
@brief  DataObject
@author minahito
@version $Id$
*/

require_once "xoops/class.object.php";

class FFXILinkshell_tableObject extends exXoopsObject
{
	function FFXILinkshell_tableObject($id=null)
	{
		$this->initVar('lid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('cid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('level', XOBJ_DTYPE_INT, 0, false);

		if(is_array($id))
			$this->assignVars($id);
	}
	
	function getStructure($type="s",$fix="cid")
	{
		$ret=&parent::getStructure($type);

		if($fix!="cid") {
			$handler=&FFXI::getHandler("chara");
			$chara=&$handler->get($this->getVar('cid'));
			if(is_object($chara))
				$ret['chara']=$chara->getArray($type);
		}
		elseif($fix!="jid") {
			$handler=&FFXI::getHandler("linkshell");
			$obj=&$handler->get($this->getVar('lid'));
			if(is_object($obj))
				$ret['linkshell']=$obj->getArray($type);
		}
		
		switch($this->getVar('level')){
			case 0:
				$ret['level_ex']=_MD_FFXI_LANG_OWNER;
				break;

			case 1:
				$ret['level_ex']=_MD_FFXI_LANG_PEARL_SACK;
				break;

			case 2:
				$ret['level_ex']=_MD_FFXI_LANG_MEMBER;
				break;
		}
		
		return $ret;
	}

	/**
	Υ֥Ȥȥǡ١Ȥ³ˡ֤
	*/
	function &getTableInfo()
	{
		$tinfo = new exTableInfomation('ffxi_linkshell_table',array('lid','cid'));
		return ($tinfo);
	}
}

?>