<?php
/**
@brief  DataObject
@author minahito
@version $Id$
*/

require_once "xoops/class.object.php";

class FFXILv_linkObject extends exXoopsObject
{
	function FFXILv_linkObject($id=null)
	{
		$this->initVar('cid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('jid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('level', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('at', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('ex', XOBJ_DTYPE_TXTAREA, null, false, null);

		if(is_array($id))
			$this->assignVars($id);
	}

	function getStructure($type='s',$fix="cid")
	{
		$ret=&parent::getStructure($type);

		if($fix!="cid") {
			$handler=&FFXI::getHandler("chara");
			$chara=&$handler->get($this->getVar('cid'));
			if(is_object($chara))
				$ret['chara']=$chara->getStructure($type);
		}
		elseif($fix!="jid") {
			$handler=&FFXI::getHandler("job");
			$job=&$handler->get($this->getVar('jid'));
			if(is_object($job))
				$ret['job']=$job->getStructure($type);
		}
		
		return $ret;
	}

	/**
	Υ֥Ȥȥǡ١Ȥ³ˡ֤
	*/
	function &getTableInfo()
	{
		$tinfo = new exTableInfomation('ffxi_lv_link',array('jid','cid'));
		return ($tinfo);
	}
}

?>