<?php
/**
@brief  DataObject
@author minahito
@version $Id$
*/

require_once "xoops/class.object.php";

class FFXISearch_charaObject extends exXoopsObject
{
	function FFXISearch_charaObject($id=null)
	{
		$this->initVar('cid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('uid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('cn_id', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('sv_id', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('rc_id', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('name', XOBJ_DTYPE_TXTBOX, null, true, 64);
		$this->initVar('rank', XOBJ_DTYPE_INT, 1, false);
		$this->initVar('ex', XOBJ_DTYPE_TXTAREA, null, false, null);
		$this->initVar('jid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('level', XOBJ_DTYPE_INT, 0, false);

		if(is_array($id))
			$this->assignVars($id);
	}

	/**
	Υ֥Ȥȥǡ١Ȥ³ˡ֤
	*/
	function &getTableInfo()
	{
		$tinfo = new exTableInfomation("ffxi_chara c","cid");
		return ($tinfo);
	}
	
	function &getStructure($type='s')
	{
		$ret =& parent::getStructure($type);

   		$handler=&xoops_gethandler('user');
   		$user = new exXoopsUserObject($handler->get($this->getVar('uid')));
   		$ret['user']=$user->getArray($type);
		
		$handler=&FFXI::getHandler('country');
		$country=&$handler->get($this->getVar('cn_id'));
		if(is_object($country))
			$ret['country']=&$country->getArray($type);

		$handler=&FFXI::getHandler('server');
		$server=&$handler->get($this->getVar('sv_id'));
		if(is_object($server))
			$ret['server']=&$server->getArray($type);

		$handler=&FFXI::getHandler('race');
		$race=&$handler->get($this->getVar('rc_id'));
		if(is_object($race))
			$ret['race']=&$race->getArray($type);

		// Υǡ֥ȤξϿȡ٥ΤʤΤǼʬĴ٤
		$handler=&FFXI::getHandler('lv_link');
		$objs=&$handler->getObjects(new Criteria("cid",$this->getVar("cid")),null,"level DESC");
		if(is_array($objs)) {
			$obj=$objs[0];
			if(is_object($obj)) {
    			$ret['jid']=$obj->getVar('jid');
    			$ret['level']=$obj->getVar('level');
    			$handler=&FFXI::getHandler('job');
    			$job=&$handler->get($ret['jid']);
    			$ret['job']=&$job->getArray($type);
			}
		}

		return $ret;
	}
}

?>