<?php
/**
@file
@brief طΥեʥ桼ѡ
@version $Id$
*/

require_once "exForm/Form.php";
require_once "exComponent/Input.php";
require_once XOOPS_ROOT_PATH."/class/xoopsformloader.php";
require_once "xoops/form/XoopsFormSelectExObject.php";

// åк
require_once dirname(__FILE__)."/../class/chara.php";

class FFXICharaEditForm extends exAbstractActionForm {
	var $mode_="chara";
	var $handler_="chara";

	var $processor_name_="TypicalConfirmFormInsertProcessor";
	var $modelrender_name_="exConfirmComponentModeModelRender";

	function doGet($data) {
		global $xoopsUser;
		
		if(!is_object($xoopsUser))
			FFXI::GuestError();
		
		$handler =& FFXI::getHandler('chara');

		$id=isset($_REQUEST['cid']) ? $this->getPositive($_REQUEST['cid']) : 0; 

		// õ
		if($id>0) {
			$this->data_ = $handler->get($id);
			if(!is_object($this->data_))
				$this->data_=$handler->create();
		}
		else
			$this->data_=$handler->create();
	}
	
	function doPost($data) {
		global $xoopsUser;

		// ID ʤޤ
		$this->doGet($data);

		$this->data_->setVar('name',trim($_POST['name']));
		$this->data_->setVar('ex',trim($_POST['ex']));

		// xoopsUser (object)ݾڤΤǤʤȤޤ
		$this->data_->setVar('uid',$xoopsUser->uid());

		// FIXME::
		$this->data_->setVar('cn_id',intval($_POST['cn_id']));
		$this->data_->setVar('sv_id',intval($_POST['sv_id']));
		$this->data_->setVar('rc_id',intval($_POST['rc_id']));

		$this->data_->setVar('rank',intval($_POST['rank']));

		$this->data_->setVar('update_date',time());

		if(!$this->data_->cleanVars()) {
			$this->msg_=array_merge($this->msg_,$this->data_->getErrors());
		}
	}
}

class FFXICharaInputComponentRender extends exInputComponentRender {
	function render() {
		$form = new XoopsThemeForm('Charactor','chara',$_SERVER['SCRIPT_NAME'],'POST');

		$form->addElement(new XoopsFormHidden("cid",$this->component_->form_->data_->getVar("cid")));
		$form->addElement(new XoopsFormHidden("mode",$this->component_->form_->mode_));

		$form->addElement(new XoopsFormText("NAME","name",60,60,$this->component_->form_->data_->getVar("name","e")));
		$form->addElement(new XoopsFormDhtmlTextArea("EX","ex",$this->component_->form_->data_->getVar("ex","e")));
		
		$handler =& FFXI::getHandler('country');
		$objs=&$handler->getObjects();
		$form->addElement(new exXoopsFormSelectExObject("COUNTRY","cn_id",
			$this->component_->form_->data_->getVar("cn_id"),1,false,$objs, "cn_id","name"));

		$rank=new XoopsFormSelect("RANK","rank",$this->component_->form_->data_->getVar("rank"));
		for($i=1;$i<=7;$i++) {	//FIXME::
			$rank->addOption($i,$i);
		}
		$form->addElement($rank);

		$handler =& FFXI::getHandler('race');
		$objs=&$handler->getObjects();
		$form->addElement(new exXoopsFormSelectExObject("RACE","rc_id",
			$this->component_->form_->data_->getVar("rc_id"), 1, false, $objs, "rc_id", "name"));

		$handler =& FFXI::getHandler('server');
		$objs=&$handler->getObjects();
		$form->addElement(new exXoopsFormSelectExObject("SERVER","sv_id",
			$this->component_->form_->data_->getVar("sv_id"), 1, false, $objs, "sv_id", "name"));

		$form->addElement(new XoopsFormButton('','submit',"SUBMIT",'submit'));

		$form->display();
	}
}

?>