CREATE TABLE ffxi_job (
	jid int(10) NOT NULL auto_increment,
	name varchar(64) default NULL,
	ex text,
	PRIMARY KEY (jid)
) TYPE=MyISAM;

CREATE TABLE ffxi_linkshell (
	lid int(10) NOT NULL auto_increment,
	uid mediumint(5) NOT NULL default '0',
	name varchar(64) default NULL,
	ex text,
	sv_id tinyint(3) NOT NULL default '0',
	input_date int(10) NOT NULL default '0',
	update_date int(10) NOT NULL default '0',
	PRIMARY KEY (lid)
) TYPE=MyISAM;

CREATE TABLE ffxi_linkshell_table (
	lid int(10) NOT NULL,
	cid int(10) NOT NULL,
	level tinyint(1) NOT NULL,
	PRIMARY KEY (lid,cid)
) TYPE=MyISAM;

CREATE TABLE ffxi_lv_link (
	cid int(10) NOT NULL,
	jid int(10) NOT NULL,
	level tinyint(3) NOT NULL,
	at mediumint(5) NOT NULL,
	ex text,
	PRIMARY KEY (cid,jid)
) TYPE=MyISAM;

CREATE TABLE ffxi_chara (
	cid int(10) NOT NULL auto_increment,
	uid mediumint(5) NOT NULL default '0',
	cn_id tinyint(3) NOT NULL default '0',
	sv_id tinyint(3) NOT NULL default '0',
	rc_id tinyint(3) NOT NULL default '0',
	name varchar(64) default NULL,
	rank tinyint(3) NOT NULL default '1',
	ex text,
	input_date int(10) NOT NULL default '0',
	update_date int(10) NOT NULL default '0',
	lvchange_date int(10) NOT NULL default '0',
	PRIMARY KEY (cid)
) TYPE=MyISAM;

CREATE TABLE ffxi_country (
	cn_id tinyint(3) NOT NULL auto_increment,
	name varchar(64) default NULL,
	ex text,
	PRIMARY KEY (cn_id)
) TYPE=MyISAM;

CREATE TABLE ffxi_server (
	sv_id tinyint(3) NOT NULL auto_increment,
	name varchar(64) default NULL,
	ex text,
	PRIMARY KEY (sv_id)
) TYPE=MyISAM;

CREATE TABLE ffxi_race (
	rc_id tinyint(3) NOT NULL auto_increment,
	name varchar(64) default NULL,
	ex text,
	PRIMARY KEY (rc_id)
) TYPE=MyISAM;
