<?php
/**
@file
@brief xoops  module ե
@author minahito
*/

$modversion['name'] = _MI_FFXI_NAME;
$modversion['version'] = 0.03;
$modversion['description'] = _MI_FFXI_DESC;

$modversion['credits'] = "minahito";
$modversion['author'] = "minahito" ;
$modversion['license'] = "BSD see LICENSE";
$modversion['official'] = 0;
$modversion['image'] = "images/ffxi.png";
$modversion['dirname'] = "ffxi";


// Template
$modversion['use_smarty'] = 1;
$modversion['templates'][0]['file'] = 'ffxi_index.html';
$modversion['templates'][0]['description'] = '';
$modversion['templates'][1]['file'] = 'ffxi_ls_index.html';
$modversion['templates'][1]['description'] = '';
$modversion['templates'][2]['file'] = 'ffxi_ls_detail.html';
$modversion['templates'][2]['description'] = '';
$modversion['templates'][3]['file'] = 'ffxi_chara_detail.html';
$modversion['templates'][3]['description'] = '';
$modversion['templates'][4]['file'] = 'ffxi_search.html';
$modversion['templates'][4]['description'] = '';
$modversion['templates'][5]['file'] = 'ffxi_search_list.html';
$modversion['templates'][5]['description'] = '';

// Sql
$modversion['sqlfile']['mysql'] = "sql/mysql.sql";

$modversion['tables'][0] = "ffxi_job";
$modversion['tables'][1] = "ffxi_country";
$modversion['tables'][2] = "ffxi_server";
$modversion['tables'][3] = "ffxi_race";
$modversion['tables'][4] = "ffxi_chara";
$modversion['tables'][5] = "ffxi_lv_link";
$modversion['tables'][6] = "ffxi_linkshell";
$modversion['tables'][7] = "ffxi_linkshell_table";

// Block
$modversion['blocks'][1]['file']="ffxi_newuser.php";
$modversion['blocks'][1]['name']=_MI_FFXI_BNAME_NEWUSER;
$modversion['blocks'][1]['show_func']="b_ffxi_newuser_show";
$modversion['blocks'][1]['options']="10";
$modversion['blocks'][1]['edit_func']="b_ffxi_newuser_edit";
$modversion['blocks'][1]['template']="ffxi_block_newuser.html";

$modversion['blocks'][2]['file']="ffxi_newls.php";
$modversion['blocks'][2]['name']=_MI_FFXI_BNAME_NEWLS;
$modversion['blocks'][2]['show_func']="b_ffxi_newls_show";
$modversion['blocks'][2]['options']="10";
$modversion['blocks'][2]['edit_func']="b_ffxi_newls_edit";
$modversion['blocks'][2]['template']="ffxi_block_newls.html";

$modversion['blocks'][3]['file']="ffxi_new_lvup.php";
$modversion['blocks'][3]['name']=_MI_FFXI_BNAME_NEW_LVUP;
$modversion['blocks'][3]['show_func']="b_ffxi_new_lvup_show";
$modversion['blocks'][3]['options']="10";
$modversion['blocks'][3]['edit_func']="b_ffxi_new_lvup_edit";
$modversion['blocks'][3]['template']="ffxi_block_new_lvup.html";

// Admin
$modversion['hasAdmin'] = 1;
$modversion['adminindex'] = "admin/index.php";
$modversion['adminmenu'] = "admin/menu.php";

// Menu
$modversion['hasMain'] = 1;
global $xoopsUser;
$modversion['sub'][]=array('name'=>_MI_FFXI_SUBMENU1,'url'=>'search.php');
if(is_object($xoopsUser))
	$modversion['sub'][]=array('name'=>_MI_FFXI_SUBMENU2,'url'=>'list.php?uid='.$xoopsUser->uid());
$modversion['sub'][]=array('name'=>_MI_FFXI_SUBMENU3,'url'=>'ls.php');

?>