<?php
/**
@brief  DataObject
@author minahito
@version $Id$
*/

require_once "xoops/class.object.php";

class FFXILinkshellObject extends exXoopsObject
{
	function FFXILinkshellObject($id=null)
	{
		$this->initVar('lid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('uid', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('name', XOBJ_DTYPE_TXTBOX, null, true, 64);
		$this->initVar('ex', XOBJ_DTYPE_TXTAREA, null, false, null);
		$this->initVar('sv_id', XOBJ_DTYPE_INT, 0, false);
		$this->initVar('input_date', XOBJ_DTYPE_INT, time(), false);
		$this->initVar('update_date', XOBJ_DTYPE_INT, time(), false);

		if(is_array($id))
			$this->assignVars($id);
	}

	function getStructure($type='s')
	{
		$ret=&parent::getStructure();

		$handler=&FFXI::getHandler('linkshell_table');
		$criteria=new Criteria('lid',$this->getVar('lid'));
		$ret['fullmember_count']=$handler->getCount($criteria);

		$cHandler=&FFXI::getHandler('chara');

		// ʡФ
		$objs=&$handler->getObjects($this->_makeCriteria(0));	// FIXME::
		foreach($objs as $obj) {
			$chara=&$cHandler->get($obj->getVar('cid'));
			$ret['owner'][]=$chara->getStructure();
		}

		// ѡ륵åäƤͤФ
		$objs=&$handler->getObjects($this->_makeCriteria(1));	// FIXME::
		foreach($objs as $obj) {
			$chara=&$cHandler->get($obj->getVar('cid'));
			$ret['pearl_sacks'][]=$chara->getStructure();
		}

		// СФ
		$objs=&$handler->getObjects($this->_makeCriteria(2));	// FIXME::
		foreach($objs as $obj) {
			$chara=&$cHandler->get($obj->getVar('cid'));
			$ret['members'][]=$chara->getStructure();
		}
		
		// С̾Ф
		$handler=&FFXI::getHandler('server');
		$server=&$handler->get($this->getVar('sv_id'));
		if(is_object($server))
			$ret['server']=&$server->getArray($type);
		
		return $ret;
	}
	
	function _makeCriteria($level=0)
	{
		$criteria=new CriteriaCompo();
		$criteria->add(new Criteria("lid",$this->getVar('lid')));
		$criteria->add(new Criteria("level",$level));
		return $criteria;
	}

	/**
	Υ֥Ȥȥǡ١Ȥ³ˡ֤
	*/
	function &getTableInfo()
	{
		$tinfo = new exTableInfomation('ffxi_linkshell','lid');
		return ($tinfo);
	}
}

?>