<?php
/**
@version $Id$
*/

	require_once "exForm/Filter.php";

	class FFXICharactorFilter extends exAbstractFilterForm
	{
		var $uid_=null;
		var $sv_id_=null;
		var $rc_id_=null;
		var $cn_id_=null;
		var $rank_=null;
		
		var $lvsearch_mode_=false;
		var $jid_=null;
		var $min_lv_=null;
		var $max_lv_=null;
		
		function fetch()
		{
			if(isset($_REQUEST['uid']))
				$this->uid_=intval($_REQUEST['uid']);

			if(isset($_REQUEST['sv_id']))
				$this->sv_id_=intval($_REQUEST['sv_id']);

			if(isset($_REQUEST['cn_id']))
				$this->cn_id_=intval($_REQUEST['cn_id']);

			if(isset($_REQUEST['rc_id']))
				$this->rc_id_=intval($_REQUEST['rc_id']);

			if(isset($_REQUEST['rank']))
				$this->rank_=intval($_REQUEST['rank']);

			//=================================================================
			//  isset Ʊͤ 0 ʾ夫Ĵ٤ޤ
			// ¾Ǥ criteron νκݤ 0 ʾ夫ɤĴ٤ޤ
			// fetch λʳǥϥɥڤؤɬפʤǤ
			//=================================================================

			if(isset($_REQUEST['min_lv']))
				if(intval($_REQUEST['min_lv'])>0) {
					$this->lvsearch_mode_=true;
					$this->min_lv_=intval($_REQUEST['min_lv']);
				}

			if(isset($_REQUEST['max_lv']))
				if(intval($_REQUEST['max_lv'])) {
					$this->lvsearch_mode_=true;
					$this->max_lv_=intval($_REQUEST['max_lv']);
				}

			if(isset($_REQUEST['jid']))
				if(intval($_REQUEST['jid'])>0) {
					$this->lvsearch_mode_=true;
					$this->jid_=intval($_REQUEST['jid']);
					if($this->min_lv_<1)
						$this->min_lv_=1;
				}
		}
		
    	function getCriteria($start=0,$limit=0,$sort=0)
    	{
    		$criteria=&$this->getDefaultCriteria($start,$limit);
    		
    		if($this->uid_>0)
    			$criteria->add(new Criteria("c.uid",$this->uid_));

    		if($this->sv_id_>0)
    			$criteria->add(new Criteria("c.sv_id",$this->sv_id_));

    		if($this->rc_id_>0)
    			$criteria->add(new Criteria("c.rc_id",$this->rc_id_));

    		if($this->cn_id_>0)
    			$criteria->add(new Criteria("c.cn_id",$this->cn_id_));

    		if($this->rank_>0)
    			$criteria->add(new Criteria("c.rank",$this->rank_));

    		if($this->jid_>0)
    			$criteria->add(new Criteria("l.jid",$this->jid_));

    		if($this->min_lv_>0)
    			$criteria->add(new Criteria("l.level",$this->min_lv_,">="));

    		if($this->max_lv_>0)
    			$criteria->add(new Criteria("l.level",$this->max_lv_,"<="));
    			
    		return $criteria;
    	}
    
	}


?>