<?php
/**
@file
@brief 󥯥СϿѤΥեʥ桼ѡ
@version $Id$
*/

require_once "exForm/Form.php";
require_once "exComponent/Input.php";
require_once XOOPS_ROOT_PATH."/class/xoopsformloader.php";

require_once "exComponent/confirm/render/ConfirmModelRender.php";
require_once "exComponent/confirm/processor/TypicalConfirmInsertProcessor.php";

// åкΤˤɤ
require_once dirname(__FILE__)."/../class/linkshell_table.php";

class FFXILsmemberEditForm extends exAbstractActionForm {
	var $mode_="lsmember";
	var $handler_="linkshell_table";

	var $processor_name_="FFXILsmemberInsertProcessor";
	var $modelrender_name_="FFXILsmemberConfirmComponentModelRender";

	var $lid_;
	var $sv_id_;
	var $owner_=array();
	var $sacks_=array();
	var $members_=array();

	function doGet($data) {
		global $xoopsUser;
		
		if(!is_object($xoopsUser))
			FFXI::GuestError();

		$this->lid_=intval($_REQUEST['lid']);

		// 󥯥ɤ߹
		$handler=&FFXI::getHandler('linkshell');
		$obj=&$handler->get($this->lid_);
		if(!is_object($obj))
			redirect_header("index.php",1,_MD_FFXI_NOPERM);
		
		// Խ¤ʤΤǥɤʤ
		if($obj->getVar('uid')!=$xoopsUser->uid())
			redirect_header("index.php",1,_MD_FFXI_NOPERM);

		$this->sv_id_=$obj->getVar('sv_id');

		// ɺȳ
		$handler=&FFXI::getHandler('linkshell_table');
		$objs=&$handler->getObjects(new Criteria('lid',$this->lid_));
		foreach($objs as $obj){
			switch($obj->getVar('level')) {
				case 0:
					$this->owner_[]=$obj->getVar('cid');
					break;

				case 1:
					$this->sacks_[]=$obj->getVar('cid');
					break;

				case 2:
					$this->members_[]=$obj->getVar('cid');
					break;
			}
		}
	}
	
	function doPost($data) {
		global $xoopsUser;

		if(!is_object($xoopsUser))
			FFXI::GuestError();

		$this->lid_=intval($_REQUEST['lid']);

		// 󥯥ɤ߹
		$handler=&FFXI::getHandler('linkshell');
		$obj=&$handler->get($this->lid_);
		if(!is_object($obj))
			redirect_header("index.php",1,_MD_FFXI_NOPERM);
		
		// Խ¤ʤ
		if($obj->getVar('uid')!=$xoopsUser->uid())
			redirect_header("index.php",1,_MD_FFXI_NOPERM);

		$this->sv_id_=$obj->getVar('sv_id');

		// FIXME:: ʤ
		$this->owner_=intval($_POST['owner']);
		foreach($_POST['sacks'] as $cid) {
			if($this->owner_!=$cid)
				$this->sacks_[]=$cid;
		}
		foreach($_POST['members'] as $cid) {
			if($this->owner_!=$cid && !in_array($cid,$this->sacks_))
				$this->members_[]=$cid;
		}
		
//		if(!$this->data_->cleanVars()) {
//			$this->msg_=array_merge($this->msg_,$this->data_->getErrors());
//		}
	}
}

class FFXILsmemberInputComponentRender extends exInputComponentRender {
	function render() {
		global $xoopsUser;

		$form = new XoopsThemeForm('Linkshell Member','linkshell',$_SERVER['SCRIPT_NAME'],'POST');

		$form->addElement(new XoopsFormHidden("mode",$this->component_->form_->mode_));
		$form->addElement(new XoopsFormHidden("lid",$this->component_->form_->lid_));

		// ʡ uid ĥ饯
		$handler=&FFXI::getHandler('chara');
		$criteriaCompo = new CriteriaCompo();
		$criteriaCompo->add(new Criteria("uid",$xoopsUser->uid()));
		$criteria=new Criteria("sv_id",$this->component_->form_->sv_id_);

		$criteriaCompo->add($criteria);
		
		$select=new XoopsFormSelect(_MD_FFXI_LANG_OWNER,"owner",$this->component_->form_->owner_);
		$objs=&$handler->getObjects($criteriaCompo,null,"name");
		foreach($objs as $obj) {
			$select->addOption($obj->getVar('cid'),$obj->getVar('name'));
		}
		$form->addElement($select);
		
		$pearl_sack=new XoopsFormSelect(_MD_FFXI_LANG_PEARL_SACK,"sacks",$this->component_->form_->sacks_,5,true);
		$objs=&$handler->getObjects($criteria,null,"name");
		foreach($objs as $obj) {
			$pearl_sack->addOption($obj->getVar('cid'),$obj->getVar('name'));
		}
		$form->addElement($pearl_sack);

		$member=new XoopsFormSelect(_MD_FFXI_LANG_MEMBER,"members",$this->component_->form_->members_,5,true);
		foreach($objs as $obj) {
			$member->addOption($obj->getVar('cid'),$obj->getVar('name'));
		}
		$form->addElement($member);

		$form->addElement(new XoopsFormButton('','submit',"SUBMIT",'submit'));

		$form->display();
	}
}

class FFXILsmemberConfirmComponentModelRender extends exConfirmComponentModelRender {
	function render()
	{
		$ret="";

		$form =& $this->component_->form_->data_;
		
		$ret .="<form method='post'><table class='outer'>";
	
		// åȤߡʤС
		if(isset($this->component_->form_->ticket_)) {
			$ret.="<input type='hidden' name='".$this->component_->form_->ticket_->name_."' ".
				"value='".$this->component_->form_->ticket_->value_."' />";
		}

		$handler=&FFXI::getHandler('chara');
		$obj=&$handler->get($form->owner_);
		$ret .=@sprintf("<tr><th>%s</th><td class='odd'>%s</td></tr>",_MD_FFXI_LANG_OWNER,$obj->getVar('name'));

		$ret .= @sprintf("<tr><th>%s</th><td class='even'>",_MD_FFXI_LANG_PEARL_SACK);
		if(is_array($form->sacks_) && count($form->sacks_)) {
    		foreach($form->sacks_ as $uid) {
    			$obj=&$handler->get($uid);
    			$ret.=$obj->getVar('name')."<br/>";
    		}
		}
		else
			$ret.="&nbsp;";
		$ret.="</td></tr>";

		$ret .= @sprintf("<tr><th>%s</th><td class='odd'>",_MD_FFXI_LANG_MEMBER);
		if(is_array($form->members_) && count($form->members_)) {
    		foreach($form->members_ as $uid) {
    			$obj=&$handler->get($uid);
    			$ret.=$obj->getVar('name')."<br/>";
    		}
		}
		else
			$ret.="&nbsp;";
		$ret.="</td></tr>";

		$ret.="<tr class='even'><td>ACTION</td><td>".
			"<input type='submit' value='Confirm' />".
			"<input type='button' value='Back' onclick=\"javascript:history.go(-1);\" />";

		$ret .= "</table></form>";

		print $ret;
	}
}

/**
@brief FFXILsmemberEditForm ¸
*/
class FFXILsmemberInsertProcessor extends exTypicalConfirmComponentProcessor
{
	function _processPost($component)
	{
		$handler=&FFXI::getHandler("linkshell_table");

		// ޤ٤٤ƤϢä
		$criteria=new Criteria("lid",$component->data_->lid_);
		$handler->deletes($criteria);
		
		$ret = 1;

		$owner=&$handler->create();
		$owner->setVar("lid",$component->data_->lid_);
		$owner->setVar("cid",$component->data_->owner_);
		$owner->setVar("level",0);	// FIXME::

		// *=  &= 
		$ret *= (integer)$handler->insert($owner);

		foreach($component->data_->sacks_ as $cid) {
			$obj=&$handler->create();
			$obj->setVar("lid",$component->data_->lid_);
			$obj->setVar("cid",$cid);
			$obj->setVar("level",1);	// FIXME::
			$ret *= (integer)$handler->insert($obj);
		}

		foreach($component->data_->members_ as $cid) {
			$obj=&$handler->create();
			$obj->setVar("lid",$component->data_->lid_);
			$obj->setVar("cid",$cid);
			$obj->setVar("level",2);	// FIXME::
			$ret *= (integer)$handler->insert($obj);
		}
		
		return $ret ? true : false;
	}
}


?>