<?php
/**
@file
@brief 󥯥СϿѤΥեʥ桼ѡ
@version $Id$
*/

require_once "exForm/Form.php";
require_once "exComponent/Input.php";
require_once XOOPS_ROOT_PATH."/class/xoopsformloader.php";

require_once "exComponent/confirm/render/ConfirmModelRender.php";
require_once "exComponent/confirm/processor/TypicalConfirmInsertProcessor.php";

// åкΤˤɤ
require_once dirname(__FILE__)."/../class/chara.php";
require_once dirname(__FILE__)."/../class/lv_link.php";

class FFXILv_linkEditForm extends exAbstractActionForm {
	var $mode_="lv_link";
	var $handler_="lv_link";
	var $chara_=null;
	var $lvup_flag_=false;

	var $processor_name_="FFXILv_linkInsertProcessor";
	var $modelrender_name_="FFXILv_linkConfirmComponentModelRender";

	var $cid_;
	var $lv_links_=array();

	function doGet($data) {
		global $xoopsUser;
		if(!is_object($xoopsUser)) {
			$this->addError(_MD_FFXI_NOPERM_POST_CHARACTOR_GUEST);
			return;
		}
		
		// cid ʤХ顼
		$cid=intval($_REQUEST['cid']);
		$handler=&FFXI::getHandler('chara');
		$chara=&$handler->get($cid);
		if(!is_object($chara)) {	// ꤵ줿 cid ʤ
			$this->addError("FETAL ERROR");
			return;
		}
		
		$this->cid_=$cid;
		$this->chara_=&$chara;

		if($chara->getVar('uid')!=$xoopsUser->uid()) {
			$this->addError(_MD_FFXI_NOPERM);
			return;
		}

		// ֤ĥ
		$handler=&FFXI::getHandler('job');
		$jobs=&$handler->getObjects(null,null,'jid');
		
		$handler=&FFXI::getHandler('lv_link');
		foreach($jobs as $job) {
			$lv_link=&$handler->get($job->getVar('jid'),$cid);
			if(!is_object($lv_link)) {
				$lv_link=&$handler->create();
				$lv_link->setVar('jid',$job->getVar('jid'));
				$lv_link->setVar('cid',$cid);
			}
			$this->lv_links_[$job->getVar('jid')]=&$lv_link;
		}
	}
	
	function doPost($data) {
		global $xoopsUser;

		// ޤ
		$this->doGet($data);
		if($this->isError())
			return;

		$this->lvup_flag_=false;	// ٥뤬Ѳ桼뤫ɤĴ٤
		foreach($_POST['level'] as $key=>$val) {
			if(is_object($this->lv_links_[$key])) {
				if($_POST['level'][$key]>$this->lv_links_[$key]->getVar('level') && $_POST['level'][$key]>1)
					$this->lvup_flag_=true;
    			$this->lv_links_[$key]->setVar('level',$_POST['level'][$key]);
    			$this->lv_links_[$key]->setVar('at',$_POST['at'][$key]);
    			$this->lv_links_[$key]->setVar('ex',$_POST['ex'][$key]);
			}
		}
		
		if($this->lvup_flag_) {
			$this->chara_->setVar('update_date',time());
			$this->chara_->setVar('lvchange_date',time());
		}

//		if(!$this->data_->cleanVars()) {
//			$this->msg_=array_merge($this->msg_,$this->data_->getErrors());
//		}
	}
}

class FFXILv_linkInputComponentRender extends exInputComponentRender {
	function render() {
		global $xoopsUser;

		$form = new XoopsThemeForm('LEVEL','level',$_SERVER['SCRIPT_NAME'],'POST');

		$form->addElement(new XoopsFormHidden("mode",$this->component_->form_->mode_));
		$form->addElement(new XoopsFormHidden("cid",$this->component_->form_->cid_));

		// ȥ쥤η֤
		$handler=&FFXI::getHandler('job');
		foreach($this->component_->form_->lv_links_ as $lv) {
			$job=&$handler->get($lv->getVar('jid'));	// å򥢥ƤˤƼ
			$tray=new XoopsFormElementTray($job->getVar('name'));
			$select=new XoopsFormSelect("LV","level[".$job->getVar('jid')."]",$lv->getVar('level'));
			for($i=0;$i<=75;$i++) {
				$select->addOption($i,$i ? $i:"---");
			}
			$tray->addElement($select);
			$tray->addElement(new XoopsFormText("@","at[".$lv->getVar('jid')."]",6,6,$lv->getVar('at')));
			$form->addElement($tray);
			unset($select);
			unset($tray);
			
			// ƥȥꥢɲ
			$form->addElement(new XoopsFormTextArea($job->getVar('name')."Memo",
				"ex[".$lv->getVar('jid')."]",$lv->getVar('ex'),3,50));
		}

		$form->addElement(new XoopsFormButton('','submit',"SUBMIT",'submit'));

		$form->display();
	}
}

class FFXILv_linkConfirmComponentModelRender extends exConfirmComponentModelRender {
	function render()
	{
		$ret="";

		$form =& $this->component_->form_->data_;
		
		$ret .="<form method='post'><table class='outer'>";
	
		// åȤߡʤС
		if(isset($this->component_->form_->ticket_)) {
			$ret.="<input type='hidden' name='".$this->component_->form_->ticket_->name_."' ".
				"value='".$this->component_->form_->ticket_->value_."' />";
		}

		$ret .="<tr><th>JOB</th><th>LEVEL</th><th>@</th><th>MEMO</th></tr>";
		
		$handler=&FFXI::getHandler('job');
		foreach($form->lv_links_ as $lv) {
			$job=&$handler->get($lv->getVar('jid'));
			$ret .= "<tr class='odd'>";
			$ret .= "<td class='head'>".$job->getVar('name')."</td>";
			$ret .= "<td>".$lv->getVar('level')."</td>";
			$ret .= "<td>".$lv->getVar('at')."</td>";
			$ret .= "<td>".$lv->getVar('ex')."</td>";
			$ret .= "</tr>";
		}

		$ret.="<tr class='even'><td>ACTION</td><td colspan='3'>".
			"<input type='submit' value='Confirm' />".
			"<input type='button' value='Back' onclick=\"javascript:history.go(-1);\" />";

		$ret .= "</table></form>";

		print $ret;
	}
}

/**
@brief FFXILsmemberEditForm ¸
*/
class FFXILv_linkInsertProcessor extends exTypicalConfirmComponentProcessor
{
	function _processPost($component)
	{
		$handler=&FFXI::getHandler("lv_link");

		$ret = 1;
		foreach($component->data_->lv_links_ as $lv) {
			// *=  &= Τ
			$ret *= $handler->insert($lv);
		}

		if($component->data_->lvup_flag_) {
			$handler=&FFXI::getHandler("chara");
			$ret *= $handler->insert($component->data_->chara_);
		}

		return $ret ? true : false;
	}
}


?>